Skip to main content
POST
/
projects
/
{projectId}
/
servers
/
{serverId}
/
validate
Validate a server
curl --request POST \
  --url https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/validate"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/validate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "success": true, "status": "<string>", "initInfo": {} }

Authorizations

Authorization
string
header
required

MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.

Path Parameters

projectId
string
required

ID of the hosted project that contains the server.

serverId
string
required

ID of the server inside the project.

Body

application/json

Accepts an empty JSON object.

The body is of type object.

Response

Server connected and initialized.

success
boolean
required
status
string
required
Allowed value: "connected"
initInfo
object | null

MCP initialization snapshot: server info, negotiated protocol version, and capabilities. null if the server connected but initialization data was unavailable.